Subject: bug#23984: Bug avr-toolchain

From: Daniel Pimentel <[email-masked]>
Date: Thu, 14 Jul 2016 11:18:52 -0300

Guix,

I'd like report a bug in our avr-toolchain. I try compile to Arduino 
plataform using Microscheme (installed with: guix package -i 
microscheme) on GuixSD, but there are errors.

I did:
sudo microscheme -m UNO -d /dev/ttyACM0 -au lightom.ms

Output:
...
32 lines compiled OK
Assembling...
...
avr-ld: cannot find crtatmega328p.o: No such file or directory
...
avrdude: Device signature = 0x1e950f
avrdude: reading input file "lightom.hex"
avrdude: can't open input file lightom.hex: No such file or directory
avrdude: read from file 'lightom.hex' failed

I have avr-gcc avr-libc avrdude avr-binutils avr-toolchain installed 
(only avr-toolchain is needed).

I'll try debug and fix it.

-- 
Daniel Pimentel (aka d4n1)